Bildiriş kanalları
GET https://push.yayim.org/api/notification-handlers/
curl --request GET \
--url 'https://push.yayim.org/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://push.yayim.org/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| search | İstəyə bağlı Mətn | Axtarış mətni. |
| search_by | İstəyə bağlı Mətn | Hansı sahədə axtarış aparılacaq. İcazəli dəyərlər: name. |
| is_enabled | İstəyə bağlı Məntiqi dəyər | |
| type | İstəyə bağlı Mətn | Hansı sahədə axtarış aparılacaq. İcazəli dəyərlər: email, webhook, slack, discord, telegram, microsoft_teams. |
| datetime_field | İstəyə bağlı Mətn | İcazəli dəyərlər: datetime, last_datetime |
| datetime_start | İstəyə bağlı Mətn | Bu tarix və vaxtdan başlayaraq nəticələri süzün. Format: Y-m-d H:i:s. |
| datetime_end | İstəyə bağlı Mətn | Bu tarix və vaxta qədər nəticələri süzün. Format: Y-m-d H:i:s. |
| order_by | İstəyə bağlı Mətn | Nəticələrin hansı sahəyə görə sıralanacağı. İcazəli dəyərlər: notification_handler_id, datetime, last_datetime, name. |
| order_type | İstəyə bağlı Mətn | Sıralama qaydası: artan sıra üçün ASC, azalan sıra üçün DESC. |
| search | İstəyə bağlı Mətn | Axtarış mətni. |
| search_by | İstəyə bağlı Mətn | Hansı sahədə axtarış aparılacaq. İcazəli dəyərlər: name. |
| is_enabled | İstəyə bağlı Məntiqi dəyər | |
| type | İstəyə bağlı Mətn | Hansı sahədə axtarış aparılacaq. İcazəli dəyərlər: email, webhook, slack, discord, telegram, microsoft_teams. |
| datetime_field | İstəyə bağlı Mətn | İcazəli dəyərlər: datetime, last_datetime |
| datetime_start | İstəyə bağlı Mətn | Bu tarix və vaxtdan başlayaraq nəticələri süzün. Format: Y-m-d H:i:s. |
| datetime_end | İstəyə bağlı Mətn | Bu tarix və vaxta qədər nəticələri süzün. Format: Y-m-d H:i:s. |
| order_by | İstəyə bağlı Mətn | Nəticələrin hansı sahəyə görə sıralanacağı. İcazəli dəyərlər: notification_handler_id, datetime, last_datetime, name. |
| order_type | İstəyə bağlı Mətn | Sıralama qaydası: artan sıra üçün ASC, azalan sıra üçün DESC. |
| page | İstəyə bağlı Tam ədəd | Nəticələri almaq istədiyiniz səhifə nömrəsi. Standart dəyər 1. |
| results_per_page | İstəyə bağlı Tam ədəd | Bir səhifədə istədiyiniz nəticə sayı. İcazəli dəyərlər: 10, 25, 50, 100, 250, 500, 1000. Standart dəyər: 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": 1,
"last_datetime": null,
"datetime": "2026-11-21 21:50:27"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://push.yayim.org/api/notification-handlers?page=1",
"last": "https://push.yayim.org/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://push.yayim.org/api/notification-handlers?page=1"
}
}
GET https://push.yayim.org/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://push.yayim.org/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://push.yayim.org/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": 1,
"last_datetime": null,
"datetime": "2026-11-21 21:50:27"
}
}
POST https://push.yayim.org/api/notification-handlers
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| name | Məcburi Mətn | - |
| type | Məcburi Mətn | İcazəli dəyərlər: email, webhook, slack, discord, telegram, microsoft_teams |
| İstəyə bağlı Mətn | Bu halda mövcuddur: type = email E-poçt | |
| webhook | İstəyə bağlı Mətn | Bu halda mövcuddur: type = webhook Webhook ünvanı |
| slack | İstəyə bağlı Mətn | Bu halda mövcuddur: type = slack Slack webhook URL-i |
| discord | İstəyə bağlı Mətn | Bu halda mövcuddur: type = discord Discord webhook URL-i |
| telegram | İstəyə bağlı Mətn | Bu halda mövcuddur: type = telegram Telegram API tokeni |
| telegram_chat_id | İstəyə bağlı Mətn | Bu halda mövcuddur: type = telegram Telegram çat ID-si |
| microsoft_teams | İstəyə bağlı Mətn | Bu halda mövcuddur: type = microsoft_teams Microsoft Teams webhook URL-i |
curl --request POST \
--url 'https://push.yayim.org/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://push.yayim.org/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hello@example.com"
},
"is_enabled": 1,
"last_datetime": null,
"datetime": "2026-11-21 21:50:27"
}
}
POST https://push.yayim.org/api/notification-handlers/{notification_handler_id}
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| name | İstəyə bağlı Mətn | - |
| type | İstəyə bağlı Mətn | İcazəli dəyərlər: email, webhook, slack, discord, telegram, microsoft_teams |
| İstəyə bağlı Mətn | Bu halda mövcuddur: type = email E-poçt | |
| webhook | İstəyə bağlı Mətn | Bu halda mövcuddur: type = webhook Webhook ünvanı |
| slack | İstəyə bağlı Mətn | Bu halda mövcuddur: type = slack Slack webhook URL-i |
| discord | İstəyə bağlı Mətn | Bu halda mövcuddur: type = discord Discord webhook URL-i |
| telegram | İstəyə bağlı Mətn | Bu halda mövcuddur: type = telegram Telegram API tokeni |
| telegram_chat_id | İstəyə bağlı Mətn | Bu halda mövcuddur: type = telegram Telegram çat ID-si |
| microsoft_teams | İstəyə bağlı Mətn | Bu halda mövcuddur: type = microsoft_teams Microsoft Teams webhook URL-i |
| is_enabled | İstəyə bağlı Məntiqi dəyər | - |
curl --request POST \
--url 'https://push.yayim.org/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://push.yayim.org/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "email",
"name": "Example new name",
"settings": {
"email": "hello@example.com"
},
"is_enabled": 1,
"last_datetime": "2026-11-21 21:50:27",
"datetime": "2026-11-21 21:50:27"
}
}
DELETE https://push.yayim.org/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://push.yayim.org/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://push.yayim.org/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \